Skip to navigation

Create a plate

Create a plate

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Request

This endpoint expects an object.
schemaIdstringRequired
barcodestringOptional
containerSchemaIdstringOptional
fieldsmap from strings to objectsOptional
namestringOptional
parentStorageIdstringOptional
projectIdstringOptional
wellsmap from strings to objectsOptional

Response

Created
archiveRecordobject or nullOptional
availableCapacityinteger or nullOptionalRead-only
The number of available positions in a matrix plate. Null for well plates.
barcodestring or nullOptional
Barcode of the plate
createdAtdatetimeOptionalRead-only
DateTime the container was created
creatorobjectOptional
fieldsmap from strings to objectsOptional
idstringOptional
ID of the plate
modifiedAtdatetimeOptionalRead-only
DateTime the plate was last modified
namestringOptional
Name of the plate, defaults to barcode if name is not provided.
occupiedCapacityinteger or nullOptionalRead-only
The number of containers currently in a matrix plate. Null for well plates.
parentStorageIdstring or nullOptional

ID of containing parent inventory (e.g. loc_k2lNspzS).

projectIdstring or nullOptional
ID of the project if set
schemaobject or nullOptional
totalCapacityinteger or nullOptionalRead-only

The total capacity of a matrix plate (i.e. how many containers it can store). Null for well plates.

typeenumOptional
Allowed values:
webURLstringOptionalRead-only
wellsmap from strings to objectsOptional

Well contents of the plate, keyed by position string (eg. “A1”).

Errors

400
Bad Request Error